org.apache.poi.hsmf.datatypes

## Class MessageSubmissionChunk

- java.lang.Object
- - org.apache.poi.hsmf.datatypes.Chunk
  - - org.apache.poi.hsmf.datatypes.MessageSubmissionChunk

-     public class MessageSubmissionChunk
      extends Chunk

  A Chunk that holds the details given back by the server at submission time. This includes the date the message was given to the server, and an ID that's used if you want to cancel a message or similar

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hsmf.datatypes.Chunk

      `DEFAULT_NAME_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageSubmissionChunk(int chunkId, Types.MAPIType type)` Create a Byte Chunk, with the specified type.
    `MessageSubmissionChunk(java.lang.String namePrefix, int chunkId, Types.MAPIType type)` Creates a Byte Chunk.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Calendar` | `getAcceptedAtTime()`
    `java.lang.String` | `getSubmissionId()`
    `void` | `readValue(java.io.InputStream value)` Reads the value of this chunk using an InputStream
    `void` | `writeValue(java.io.OutputStream out)` Writes the value of this chunk back out again.

    - ### Methods inherited from class org.apache.poi.hsmf.datatypes.Chunk

      `getChunkId, getEntryName, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageSubmissionChunk

          public MessageSubmissionChunk(java.lang.String namePrefix,
                                        int chunkId,
                                        Types.MAPIType type)

      Creates a Byte Chunk.

    - #### MessageSubmissionChunk

          public MessageSubmissionChunk(int chunkId,
                                        Types.MAPIType type)

      Create a Byte Chunk, with the specified type.

  - ### Method Detail

    - #### readValue

          public void readValue(java.io.InputStream value)
                         throws java.io.IOException

      Description copied from class: `Chunk`
      Reads the value of this chunk using an InputStream
      Specified by:
        `readValue` in class `Chunk`
      Throws:
        `java.io.IOException`

    - #### writeValue

          public void writeValue(java.io.OutputStream out)
                          throws java.io.IOException

      Description copied from class: `Chunk`
      Writes the value of this chunk back out again.
      Specified by:
        `writeValue` in class `Chunk`
      Throws:
        `java.io.IOException`

    - #### getAcceptedAtTime

          public java.util.Calendar getAcceptedAtTime()

      Returns:
        the date that the server accepted the message, as found from the message ID it generated.

    - #### getSubmissionId

          public java.lang.String getSubmissionId()

      Returns:
        the full ID that the server generated when it accepted the message.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.